## org.apache.axis.wsdl.symbolTable
Class Parameters

    java.lang.Object
      |
      +--org.apache.axis.wsdl.symbolTable.Parameters

public class Parameters
extends java.lang.Object

This class simply collects all the parameter or message data for an operation into one place.

Field Summary
`java.util.Map` `faults`
`int` `inouts`
`int` `inputs`
`java.util.Vector` `list`
`int` `outputs`
`Parameter` `returnParam`
`java.lang.String` `signature`

Constructor Summary
`Parameters()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### list

    public java.util.Vector list

### returnParam

    public Parameter returnParam

### faults

    public java.util.Map faults

### signature

    public java.lang.String signature

### inputs

    public int inputs

### inouts

    public int inouts

### outputs

    public int outputs

Constructor Detail

### Parameters

    public Parameters()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.